MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026919Community[OCCT] OCCT:Configurationpublic2015-11-24 10:412016-04-20 15:49
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026919: Upgrade tool -- trailing spaces and includes with path prefix
DescriptionAs reported by Roman Lygin at http://dev.opencascade.org/index.php?q=node/1136, [^] current upgrade procedure needs to be corrected to:

- avoid removing trailing spaces at the end of lines in processed files (as this produces a lot of irrelevant diffs)

- recognize #include statements where class name is prefixed by some sub-directory, when forward declaration of Handle is converted to #include, to avoid incorrect substitution.

Example of the code:

~~~~~

#include <occt/Geom_Surface.hxx>

class Handle(Geom_Surface);

Q_OBJECT
slots:

~~~~~
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0026936closedabv Drawbacks of inlining in new type system in OCCT 7.0 

-  Notes
(0049267)
abv (manager)
2015-12-18 11:37

The fix is integrated with 0026936, please switch this issue to Verified

- Issue History
Date Modified Username Field Change
2015-11-24 10:41 abv New Issue
2015-11-24 10:41 abv Assigned To => bugmaster
2015-12-18 11:36 abv Relationship added related to 0026936
2015-12-18 11:37 abv Note Added: 0049267
2015-12-18 11:37 abv Status new => feedback
2015-12-21 11:45 bugmaster Status feedback => tested
2015-12-21 11:45 bugmaster Status tested => verified
2015-12-21 11:45 bugmaster Resolution open => fixed
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:49 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker